swish-0.9.1.10: A semantic web toolkit.

Copyright | (c) 2003 Graham Klyne 2009 Vasili I Galchin 2011 2012 Douglas Burke
License | GPL V2
Maintainer | Douglas Burke
Stability | experimental
Portability | H98
Safe Haskell | Safe
Language | Haskell98

Swish.Utils.ListHelpers

Description

Synopsis

- flist :: [a -> b] -> a -> [b]

# Documentation

flist :: [a -> b] -> a -> [b] Source #

Apply list of functions to some value, returning list of results. It's kind of like an converse map.

This is similar to the `ap` function in the Monad library.